% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/warbleR-package.R
\docType{package}
\name{warbleR}
\alias{warbleR}
\alias{warbleR-package}
\title{warbleR: A package to streamline bioacoustic analysis
PINEAPPLE
warbleR is a package designed to streamline analysis of (bio)acoustic signals in R. This
package allows users to collect open-access avian vocalizations data or input their
own data into a workflow that facilitates spectrographic visualization
and measurement of acoustic parameters in a batch process. The functions facilitate searching and downloading
avian vocalizations from Xeno-Canto \url{http://www.xeno-canto.org/}, creating maps of Xeno-Canto recordings,
converting .mp3 files to .wav files, checking .wav files, automatically detecting acoustic signals, selecting
them manually, printing spectrograms of whole recordings or individual signals, measuring signal
to noise ratio and performing acoustic measurements.}
\description{
The warbleR package offers three overarching categories of
  functions:
}
\details{
\itemize{

\item Obtaining avian vocalization data \item Sound file management \item Streamlined
  (bio)acoustic analysis in R }

License: GPL (>= 2)
}
\section{Obtaining avian vocalization data}{


 \code{\link{querxc}}: Download recordings and metadata from Xeno-Canto

  \code{\link{xcmaps}}: Create maps to visualize the geographic spread of Xeno-Canto recordings
}

\section{Managing sound files}{


  \code{\link{mp32wav}}: Convert several .mp3 files in working directory to .wav
  format

  \code{\link{checkwavs}}: Check whether .wav files can be read by subsequent
  functions
}

\section{Streamlining acoustic analysis in R}{


  \code{\link{autodetec}}: Automatically detect start and
  end of acoustic signals

  \code{\link{manualoc}}: Interactive spectrographic view to measure start and
  end of acoustic signals

  \code{\link{autodetec}}: Automatic detection of acoustic signals based on ampltiude

  \code{\link{lspec}}: Produce spectrograms of whole recordings split into
  multiple rows

  \code{\link{specreator}}: Create spectrograms of manualoc selections

  \code{\link{snrspecs}}: Create spectrograms to visualize margins over which
  noise will be measured by sig2noise

  \code{\link{sig2noise}}: Measure signal-to-noise ratio across multiple files

  \code{\link{trackfreqs}}: Create spectrograms to visualize frequency
  measurements

  \code{\link{specan}}: Measure acoustic parameters on selected acoustic
  signals
}
\author{
Marcelo Araya-Salas, Grace Smith Vidaurre, Hua Zhong

  Maintainer: Marcelo Araya-Salas (marceloa27@gmail.com)
}

